import { writeHandlerFunction } from "./write_handler_function.js";
import { getExtensionConfiguration } from "./utils.js";
export const onPreBuild = async (options) => {
    if (process.env["NETLIFY_EXTENSION_SUB_BUILD"] === "true") {
        const cwd = process.cwd();
        const config = await getExtensionConfiguration(cwd);
        options.netlifyConfig.build.command = config.ui.build.command;
    }
};
export const onBuild = async (options) => {
    await writeHandlerFunction("build", options);
};
export const onDev = async (options) => {
    await writeHandlerFunction("dev", options);
};
//# sourceMappingURL=main.js.map